Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1881513 - Embedded Ansible Credential UI issue
Summary: Embedded Ansible Credential UI issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.11.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.11.9
Assignee: Tina Fitzgerald
QA Contact: Gaurav Talreja
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-22 14:51 UTC by Tina Fitzgerald
Modified: 2020-11-05 22:05 UTC (History)
6 users (show)

Fixed In Version: 5.11.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-05 22:04:55 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:
simaishi: cfme-5.11.z+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4967 0 None None None 2020-11-05 22:05:01 UTC

Comment 2 CFME Bot 2020-09-30 17:05:35 UTC
New commit detected on ManageIQ/manageiq/ivanchuk:

https://github.com/ManageIQ/manageiq/commit/c0f0eeec8ee112370ea41444806d655c4d1990f1
commit c0f0eeec8ee112370ea41444806d655c4d1990f1
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Thu Sep 10 22:17:07 2020 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Sep 30 17:00:29 2020 +0000

    Merge pull request #20524 from NickLaMuro/fix-embedded-ansible-credential-editing

    [EmbeddedAnsible] Fix edit credentials

    (cherry picked from commit 9a23708582de38c9ae0cc8332f7e46fc1a53ba08)

    https://bugzilla.redhat.com/show_bug.cgi?id=1881513

 app/models/manageiq/providers/embedded_ansible/automation_manager/amazon_credential.rb | 2 +-
 app/models/manageiq/providers/embedded_ansible/automation_manager/azure_credential.rb | 11 +-
 app/models/manageiq/providers/embedded_ansible/automation_manager/credential.rb | 8 +-
 app/models/manageiq/providers/embedded_ansible/automation_manager/google_credential.rb | 2 +-
 app/models/manageiq/providers/embedded_ansible/automation_manager/machine_credential.rb | 4 +-
 app/models/manageiq/providers/embedded_ansible/automation_manager/network_credential.rb | 6 +-
 app/models/manageiq/providers/embedded_ansible/automation_manager/openstack_credential.rb | 10 +-
 app/models/manageiq/providers/embedded_ansible/automation_manager/scm_credential.rb | 4 +-
 app/models/manageiq/providers/embedded_ansible/automation_manager/vault_credential.rb | 2 +-
 spec/models/manageiq/providers/embedded_ansible/automation_manager/credential_spec.rb | 51 +-
 10 files changed, 63 insertions(+), 37 deletions(-)

Comment 8 errata-xmlrpc 2020-11-05 22:04:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (CloudForms 5.0.9 bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4967


Note You need to log in before you can comment on or make changes to this bug.